Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf
Class AbstractFeatureManager<InputType>

    java.lang.Object
      calhoun.analysis.crf.AbstractFeatureManager<InputType>

All Implemented Interfaces:
  FeatureManager<InputType>, java.io.Serializable

Direct Known Subclasses:
  BlastInterval13, CodingStopFeature, CompositeFeatureManager, ConstraintTest.FixedEdges, EmissionMarkovFeature, EndFeatures, ESTEdge, ESTExon, ESTInterval13, ESTInterval29, ESTIntron, FelsensteinFeatures, FootprintsInterval13, FootprintsInterval29, GapConjunctionFeatures, GapFeaturesInterval13, GapFeaturesInterval29, GeneConstraints, GeneConstraintsInterval13, GeneConstraintsInterval29, GeneConstraintsToy, IndicatorEdges, IntervalPresenceFeatures, IntronLengthFeature, KmerFeatures, MaxentMotifFeatures, PfamGenic, PfamPhase, PhylogeneticLogprobInterval13, PositionWeightMatrixFeatures, PWM_evolution, PWMInterval13, PWMInterval29, ReferenceBasePredictorInterval13Base, ReferenceBasePredictorInterval29Base, StartFeatures, StateTransitionsInterval13, StateTransitionsInterval29, TestFeatures.TestFeature, WeightedEdges, WeightedStateChanges

    public abstract class AbstractFeatureManager<InputType>

extends java.lang.Object
implements FeatureManager<InputType>

base class for feature implementations. Takes care of some of the details and bookkeeping involved in writing a feature.

See Also:
  Serialized Form

Constructor Summary
`AbstractFeatureManager()`

Method Summary
`CacheStrategySpec` | `getCacheStrategy()` caching strategy that the `CacheProcessor` should use to cache values for this feature.
`java.lang.String` | `getInputComponent()` Specifies the particular component of the input which this feature manager uses, if the input data is a composite input which has multiple components.
`void` | `setInputComponent(java.lang.String inputComponent)` Sets which particular component of a CompositeInput this FeatureManager has access to.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getFeatureName, getNumFeatures, train`

Constructor Detail

### AbstractFeatureManager

    public AbstractFeatureManager()

Method Detail

### getCacheStrategy

    public CacheStrategySpec getCacheStrategy()

  Description copied from interface: `FeatureManager`
  caching strategy that the `CacheProcessor` should use to cache values for this feature. This is only a hint, the cache processor is not required to use this (or any) caching strategy. This base class defaults to the UNSPECIFIED cache strategy.

  Specified by:
    `getCacheStrategy` in interface `FeatureManager<InputType>`
  Returns:
    cache strategy specification appropriate for this feature.

### getInputComponent

    public java.lang.String getInputComponent()

  Description copied from interface: `FeatureManager`
  Specifies the particular component of the input which this feature manager uses, if the input data is a composite input which has multiple components. May be `null` if the input is not a composite or if the feature manager has access to all of the input. See the Conrad User's Guide for how to set up input data.

  Specified by:
    `getInputComponent` in interface `FeatureManager<InputType>`
  Returns:
    string name of the input component this feature should look at, or null if the feature has access to all inputs.

### setInputComponent

    public void setInputComponent(java.lang.String inputComponent)

  Description copied from interface: `FeatureManager`
  Sets which particular component of a CompositeInput this FeatureManager has access to.

  Specified by:
    `setInputComponent` in interface `FeatureManager<InputType>`
  Parameters:
    `inputComponent` - name of the component of the CompositeInput this FeatureManager has access to. Usually set automatically during configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD